#ifndef _ANDROID_COMPAT_
#define _ANDROID_COMPAT_

#include <stdio.h>
#include <sys/types.h>
#include <grp.h>
#include <fcntl.h>
#include <sys/vfs.h>
#include <dirent.h>

#include "sha256.h"
#include "sha512.h"




struct compat_passwd
{
  char *pw_name;                /* username */
  char *pw_passwd;              /* user password */
  uid_t pw_uid;                 /* user ID */
  gid_t pw_gid;                 /* group ID */
  char *pw_gecos;               /* real name */
  char *pw_dir;                 /* home directory */
  char *pw_shell;               /* shell program */
};

struct compat_spwd
{
  char *sp_namp;                /* Login name */
  char *sp_pwdp;                /* Encrypted password */
  long sp_lstchg;               /* Date of last change (measured
                                   in days since 1 Jan 1970) */
  long sp_min;                  /* Min # of days between changes */
  long sp_max;                  /* Max # of days between changes */
  long sp_warn;                 /* # of days before password expires
                                   to warn user to change it */
  long sp_inact;                /* # of days after password expires
                                   until account is disabled */
  long sp_expire;               /* Date when account expires (measured
                                   in days since 1 Jan 1970) */
  unsigned long sp_flag;        /* Reserved */
};


#include "android-protos.h"

#define __COMPAT_STRING(x) #x
# define __COMPAT_ASSERT_VOID_CAST (void)
#   define __COMPAT_ASSERT_FUNCTION   __PRETTY_FUNCTION__


# define assert(expr) \
  (__COMPAT_ASSERT_VOID_CAST ((expr) ? 0 :                                                             \
                       (__compat_assert (__COMPAT_STRING(expr), __FILE__, __LINE__, __COMPAT_ASSERT_FUNCTION), 0)))


#endif
