/* crypt.c */
char *compat_crypt(const char *key, const char *salt);
/* md5.c */
char *__md5_crypt(const unsigned char *pw, const unsigned char *salt);
/* sha256.c */
void __sha256_init_ctx(struct sha256_ctx *ctx);
void *__sha256_finish_ctx(struct sha256_ctx *ctx, void *resbuf);
void __sha256_process_bytes(const void *buffer, size_t len, struct sha256_ctx *ctx);
/* sha256-crypt.c */
char *__sha256_crypt_r(const char *key, const char *salt, char *buffer, int buflen);
char *__sha256_crypt(const unsigned char *key, const unsigned char *salt);
/* sha512.c */
void __sha512_init_ctx(struct sha512_ctx *ctx);
void *__sha512_finish_ctx(struct sha512_ctx *ctx, void *resbuf);
void __sha512_process_bytes(const void *buffer, size_t len, struct sha512_ctx *ctx);
/* sha512-crypt.c */
char *__sha512_crypt_r(const char *key, const char *salt, char *buffer, int buflen);
char *__sha512_crypt(const unsigned char *key, const unsigned char *salt);
/* des.c */
void setkey(const char *key);
void encrypt(char *block, int flag);
char *__des_crypt(const unsigned char *key, const unsigned char *setting);
/* assert.c */
void __compat_assert(const char *assertion, const char *filename, unsigned int linenumber, register const char *function);
/* string.c */
char *stpncpy(register char *__restrict s1, register const char *__restrict s2, size_t n);
void *mempcpy(void *__restrict s1, const void *__restrict s2, size_t n);
/* openpty.c */
int openpty(int *amaster, int *aslave, char *name, struct termios *termp, struct winsize *winp);
/* getpt.c */
int posix_openpt(int flags);
int getpt(void);
/* ttyname.c */
int compat_ttyname_r(int fd, char *ubuf, size_t ubuflen);
char *compat_ttyname(int fd);
/* pwd_grp/fgetgrent.c */
struct group *compat_fgetgrent(FILE *stream);
/* pwd_grp/fgetgrent_r.c */
int compat_fgetgrent_r(FILE *__restrict stream, struct group *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct group **__restrict result);
/* pwd_grp/fgetpwent.c */
struct compat_passwd *compat_fgetpwent(FILE *stream);
/* pwd_grp/fgetpwent_r.c */
int compat_fgetpwent_r(FILE *__restrict stream, struct compat_passwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_passwd **__restrict result);
/* pwd_grp/fgetspent.c */
struct compat_spwd *compat_fgetspent(FILE *stream);
/* pwd_grp/fgetspent_r.c */
int compat_fgetspent_r(FILE *__restrict stream, struct compat_spwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_spwd **__restrict result);
/* pwd_grp/getgrent.c */
struct group *compat_getgrent(void);
/* pwd_grp/getgrent_r.c */
void compat_setgrent(void);
void compat_endgrent(void);
int compat_getgrent_r(struct group *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct group **__restrict result);
/* pwd_grp/getgrgid.c */
struct group *compat_getgrgid(gid_t gid);
/* pwd_grp/getgrgid_r.c */
int compat_getgrgid_r(gid_t key, struct group *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct group **__restrict result);
/* pwd_grp/getgrnam.c */
struct group *compat_getgrnam(const char *name);
/* pwd_grp/getgrnam_r.c */
int compat_getgrnam_r(const char *__restrict key, struct group *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct group **__restrict result);
/* pwd_grp/getgrouplist.c */
int compat_getgrouplist(const char *user, gid_t gid, gid_t *groups, int *ngroups);
/* pwd_grp/__getgrouplist_internal.c */
gid_t *__compat_getgrouplist_internal(const char *user, gid_t gid, int *ngroups);
/* pwd_grp/getpw.c */
int compat_getpw(uid_t uid, char *buf);
/* pwd_grp/getpwent.c */
struct compat_passwd *compat_getpwent(void);
/* pwd_grp/getpwent_r.c */
void compat_setpwent(void);
void compat_endpwent(void);
int compat_getpwent_r(struct compat_passwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_passwd **__restrict result);
/* pwd_grp/getpwnam.c */
struct compat_passwd *compat_getpwnam(const char *name);
/* pwd_grp/getpwnam_r.c */
int compat_getpwnam_r(const char *__restrict key, struct compat_passwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_passwd **__restrict result);
/* pwd_grp/getpwuid.c */
struct compat_passwd *compat_getpwuid(uid_t uid);
/* pwd_grp/getpwuid_r.c */
int compat_getpwuid_r(uid_t key, struct compat_passwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_passwd **__restrict result);
/* pwd_grp/getspent.c */
struct compat_spwd *compat_getspent(void);
/* pwd_grp/getspent_r.c */
void compat_setspent(void);
void compat_endspent(void);
int compat_getspent_r(struct compat_spwd *resultbuf, char *buffer, size_t buflen, struct compat_spwd **result);
/* pwd_grp/getspnam.c */
struct compat_spwd *compat_getspnam(const char *name);
/* pwd_grp/getspnam_r.c */
int compat_getspnam_r(const char *__restrict key, struct compat_spwd *__restrict resultbuf, char *__restrict buffer, size_t buflen, struct compat_spwd **__restrict result);
/* pwd_grp/initgroups.c */
int compat_initgroups(const char *user, gid_t gid);
/* pwd_grp/__parsegrent.c */
int __parsegrent(void *data, char *line);
/* pwd_grp/__parsepwent.c */
int __parsepwent(void *data, char *line);
/* pwd_grp/__parsespent.c */
int __parsespent(void *data, char *line);
/* pwd_grp/__pgsreader.c */
int __pgsreader(int (*__parserfunc)(void *d, char *line), void *data, char *__restrict line_buff, size_t buflen, FILE *f);
/* pwd_grp/putgrent.c */
int compat_putgrent(const struct group *__restrict p, FILE *__restrict f);
/* pwd_grp/putpwent.c */
int compat_putpwent(const struct compat_passwd *__restrict p, FILE *__restrict f);
/* pwd_grp/putspent.c */
int compat_putspent(const struct compat_spwd *p, FILE *stream);
/* pwd_grp/sgetspent.c */
struct compat_spwd *scompat_getspent(const char *string);
/* pwd_grp/sgetspent_r.c */
int scompat_getspent_r(const char *string, struct compat_spwd *result_buf, char *buffer, size_t buflen, struct compat_spwd **result);
