/* vi: set sw=4 ts=4: */
/*
 * crypt() for uClibc
 * Copyright (C) 2000-2006 by Erik Andersen <andersen@uclibc.org>
 * Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
 */

#include "android-compat-int.h"

char *compat_crypt(const char *key, const char *salt)
{
	const unsigned char *ukey = (const unsigned char *)key;
	const unsigned char *usalt = (const unsigned char *)salt;

	if (salt[0] == '$' && salt[2] == '$') {
		if (*++salt == '1')
			return __md5_crypt(ukey, usalt);
                else if (*salt == '5')
                        return __sha256_crypt(ukey, usalt);
                else if (*salt == '6')
                        return __sha512_crypt(ukey, usalt);

	}
	return __des_crypt(ukey, usalt);
}
