/*
 *  * Copyright (C) 2002     Manuel Novoa III
 *   * Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
 *    *
 *     * Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
 *      */

#include "android-compat-int.h"

char *stpncpy(register char * __restrict s1,
                                register const char * __restrict s2,
                                size_t n)
{
        char *s = s1;
        const char *p = s2;

        while (n) {
                if ((*s = *s2) != 0) s2++; /* Need to fill tail with 0s. */
                ++s;
                --n;
        }
        return s1 + (s2 - p);
}


void *mempcpy(void * __restrict s1, const void * __restrict s2, size_t n)
{
        register char *r1 = s1;
        register const char *r2 = s2;

        while (n) {
                *r1++ = *r2++;
                --n;
        }

        return r1;
}

